
$fs = 0.1;
$fa = $fs;


silk_round_d = 2;

pad_round_d = 0.5;
pad_d = 3*2 + 2*pad_round_d;


module roundHex(w, d) {
  hull() for (rz=[0:60:360]) rotate([0, 0, rz]) translate([0, w/2 - d/2, 0]) circle(d=d);
}

module roundRect(w, h, d) {
  r = d/2;
  
  hull() for (tx=[-w/2+r, w/2-r], ty=[-h/2+r, h/2-r]) translate([tx, ty, 0]) circle(d=d);
}

module F_Cu() {
  rotate([0, 0, 30]) roundHex(pad_d, pad_round_d);
  
  for (signum=[-1, 1]) translate([6.35*signum, 1.35*signum, 0]) square([3.5, 2.7], center=true);
}

module F_SilkS() {
  roundRect(16 + silk_round_d, silk_round_d, silk_round_d);
  
  
  translate([-2, 0, 0]) roundRect(silk_round_d, 8 + silk_round_d, silk_round_d);

  hull() {
    translate([3.2, 0, 0]) roundRect(silk_round_d, 8 + silk_round_d, silk_round_d);
    translate([0, 0, 0]) circle(d=2);
  }
}


difference() {
  F_SilkS();
  F_Cu();
}
